#! /bin/bash
# -----------------------------------------------------------------------------
# f2cad: Convert Fortran to C++ AD Types: Copyright (C) 2005-10 Bradley M. Bell
# Authors:  Bradley M. Bell    bradbell at washington dot edu
# License:  GNU Public License Version 2 or higher
# -----------------------------------------------------------------------------
#
cat << EOF > status.sed
/[.]cache\$/d
/[.]deps\$/d
/[.]gz\$/d
/[.]log\$/d
/[.]m4\$/d
/[.]old\$/d
/[.]status\$/d
/[.]stackdump\$/d
/[.]swp\$/d
/ commit.sh\$/d
/[/]config.h\$/d
/ cpp\$/d
/ doc\$/d
/[/ ]f2cad.hpp\$/d
/ f2c[.]p\$/d
/ f[.]omh\$/d
/ f2cad.omh\$/d
/[/ ]junk\$/d
/[/ ]junk[^a-zA-Z_]/d
/[ /][Mm]akefile\$/d
/ p[.]omh\$/d
/[/]run.exe\$/d
/[/]run\$/d
/[/]stamp-h1\$/d
/ example\/mysub\.cpp\$/d
/ example\/adolc\/run\$/d
/ example\/cppad\/run\$/d
/ example\/fadbad\/run\$/d
/ get_started\/adolc\/run$/d
/ get_started\/cppad\/run$/d
/ get_started\/fadbad\/run$/d
/ status.sed\$/d
EOF
list=`ls fortran/*.f | sed -e 's|fortran/||' -e 's|\.f||'`
for name in $list
do
cat << EOF >> status.sed
/ cpp[/]$name.cpp/d
/ f2cad[/]$name.p.omh/d
/ f2cad[/]$name.hpp/d
EOF
done
svn status | sed -f status.sed 
